WordPress.org

Make WordPress Core


Ignore:
File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/wp-admin/setup-config.php

    r18375 r16788  
    55 * The permissions for the base directory must allow for writing files in order
    66 * for the wp-config.php to be created using this page.
    7  *
    8  * @internal This file must be parsable by PHP4.
    97 *
    108 * @package WordPress
     
    4341
    4442require_once(ABSPATH . WPINC . '/load.php');
    45 require_once(ABSPATH . WPINC . '/version.php');
    46 wp_check_php_mysql_versions();
    47 
    4843require_once(ABSPATH . WPINC . '/compat.php');
    4944require_once(ABSPATH . WPINC . '/functions.php');
    5045require_once(ABSPATH . WPINC . '/class-wp-error.php');
     46require_once(ABSPATH . WPINC . '/version.php');
    5147
    5248if (!file_exists(ABSPATH . 'wp-config-sample.php'))
     
    6258if (file_exists(ABSPATH . '../wp-config.php') && ! file_exists(ABSPATH . '../wp-settings.php'))
    6359    wp_die("<p>The file 'wp-config.php' already exists one level above your WordPress installation. If you need to reset any of the configuration items in this file, please delete it first. You may try <a href='install.php'>installing now</a>.</p>");
     60
     61if ( version_compare( $required_php_version, phpversion(), '>' ) )
     62    wp_die( sprintf( /*WP_I18N_OLD_PHP*/'Your server is running PHP version %1$s but WordPress requires at least %2$s.'/*/WP_I18N_OLD_PHP*/, phpversion(), $required_php_version ) );
     63
     64if ( !extension_loaded('mysql') && !file_exists(ABSPATH . 'wp-content/db.php') )
     65    wp_die( /*WP_I18N_OLD_MYSQL*/'Your PHP installation appears to be missing the MySQL extension which is required by WordPress.'/*/WP_I18N_OLD_MYSQL*/ );
    6466
    6567if (isset($_GET['step']))
Note: See TracChangeset for help on using the changeset viewer.